Skip to main content
GET
/
v1
/
shipping
/
retailers
List all Retailers
curl --request GET \
  --url https://{base_url_domain}/api/global/v1/shipping/retailers \
  --header 'Authorization: Bearer <token>'
{
  "collection": [
    {
      "type": "Retailer",
      "id": 123,
      "code": "walmart",
      "name": "Walmart",
      "status": "active",
      "fulfillment_model": "wholesale",
      "merchant": {
        "type": "Merchant",
        "id": 4,
        "code": "acme_inc",
        "name": "ACME Inc.",
        "status": "active",
        "created_at": "2017-07-21T17:32:28Z",
        "updated_at": "2017-07-21T17:39:43Z",
        "brands": [
          {
            "type": "Brand",
            "id": 4
          }
        ],
        "default_brand": {
          "type": "Brand",
          "id": 4
        },
        "custom_fields": {
          "is_gift": {
            "value": true
          },
          "order_details": {
            "value": "test details"
          },
          "department": {
            "id": 3,
            "label": "Shipping"
          },
          "priority_levels": [
            {
              "id": 1,
              "label": "Urgent"
            },
            {
              "id": 2,
              "label": "High"
            }
          ],
          "cost_of_goods": {
            "amount": 156.99,
            "currency": "USD"
          },
          "assigned_user": {
            "value": 42
          }
        }
      },
      "parent_retailer": {
        "type": "Retailer",
        "id": 2
      },
      "legal_name": "Walmart Inc.",
      "dba": "Walmart Marketplace",
      "default_duties_payor": "recipient",
      "default_shipping_method": "fedex_FEDEX_GROUND",
      "allowed_shipping_methods": [
        "fedex_FEDEX_GROUND",
        "ups_GND"
      ],
      "default_tpb_group_id": 5,
      "routing_guide_notes": "<string>",
      "custom_fields": {
        "is_gift": {
          "value": true
        },
        "order_details": {
          "value": "test details"
        },
        "department": {
          "id": 3,
          "label": "Shipping"
        },
        "priority_levels": [
          {
            "id": 1,
            "label": "Urgent"
          },
          {
            "id": 2,
            "label": "High"
          }
        ],
        "cost_of_goods": {
          "amount": 156.99,
          "currency": "USD"
        },
        "assigned_user": {
          "value": 42
        }
      },
      "created_at": "2017-07-21T17:32:28Z",
      "updated_at": "2017-07-21T17:39:43Z"
    }
  ],
  "included": {
    "Merchant": [
      {
        "type": "Merchant",
        "id": 4,
        "code": "acme_inc",
        "name": "ACME Inc.",
        "status": "active",
        "created_at": "2017-07-21T17:32:28Z",
        "updated_at": "2017-07-21T17:39:43Z",
        "brands": [
          {
            "type": "Brand",
            "id": 4
          }
        ],
        "default_brand": {
          "type": "Brand",
          "id": 4
        },
        "custom_fields": {
          "is_gift": {
            "value": true
          },
          "order_details": {
            "value": "test details"
          },
          "department": {
            "id": 3,
            "label": "Shipping"
          },
          "priority_levels": [
            {
              "id": 1,
              "label": "Urgent"
            },
            {
              "id": 2,
              "label": "High"
            }
          ],
          "cost_of_goods": {
            "amount": 156.99,
            "currency": "USD"
          },
          "assigned_user": {
            "value": 42
          }
        }
      }
    ],
    "Retailer": [
      {
        "type": "Retailer",
        "id": 123,
        "code": "walmart",
        "name": "Walmart",
        "status": "active",
        "fulfillment_model": "wholesale",
        "merchant": {
          "type": "Merchant",
          "id": 4,
          "code": "acme_inc",
          "name": "ACME Inc.",
          "status": "active",
          "created_at": "2017-07-21T17:32:28Z",
          "updated_at": "2017-07-21T17:39:43Z",
          "brands": [
            {
              "type": "Brand",
              "id": 4
            }
          ],
          "default_brand": {
            "type": "Brand",
            "id": 4
          },
          "custom_fields": {
            "is_gift": {
              "value": true
            },
            "order_details": {
              "value": "test details"
            },
            "department": {
              "id": 3,
              "label": "Shipping"
            },
            "priority_levels": [
              {
                "id": 1,
                "label": "Urgent"
              },
              {
                "id": 2,
                "label": "High"
              }
            ],
            "cost_of_goods": {
              "amount": 156.99,
              "currency": "USD"
            },
            "assigned_user": {
              "value": 42
            }
          }
        },
        "parent_retailer": {
          "type": "Retailer",
          "id": 2
        },
        "legal_name": "Walmart Inc.",
        "dba": "Walmart Marketplace",
        "default_duties_payor": "recipient",
        "default_shipping_method": "fedex_FEDEX_GROUND",
        "allowed_shipping_methods": [
          "fedex_FEDEX_GROUND",
          "ups_GND"
        ],
        "default_tpb_group_id": 5,
        "routing_guide_notes": "<string>",
        "custom_fields": {
          "is_gift": {
            "value": true
          },
          "order_details": {
            "value": "test details"
          },
          "department": {
            "id": 3,
            "label": "Shipping"
          },
          "priority_levels": [
            {
              "id": 1,
              "label": "Urgent"
            },
            {
              "id": 2,
              "label": "High"
            }
          ],
          "cost_of_goods": {
            "amount": 156.99,
            "currency": "USD"
          },
          "assigned_user": {
            "value": 42
          }
        },
        "created_at": "2017-07-21T17:32:28Z",
        "updated_at": "2017-07-21T17:39:43Z"
      }
    ]
  },
  "has_more": true,
  "next": "<string>",
  "previous": "<string>",
  "meta": {
    "processing_time": 0.2525252525,
    "cursor_start": 123,
    "cursor_end": 123,
    "count": 123
  }
}

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Query Parameters

fields
enum<string>[]

Specify additional fields of the Retailer object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
status,
fulfillment_model,
merchant,
parent_retailer,
legal_name,
dba,
default_duties_payor,
default_shipping_method,
allowed_shipping_methods,
default_tpb_group_id,
routing_guide_notes,
custom_fields,
created_at,
updated_at
fields:merchant
enum<string>[]

Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
status,
created_at,
updated_at,
brands,
default_brand,
custom_fields
fields:parent_retailer
enum<string>[]

Specify additional fields of the parent Retailer object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
status,
fulfillment_model,
merchant,
parent_retailer,
legal_name,
dba,
default_duties_payor,
default_shipping_method,
allowed_shipping_methods,
default_tpb_group_id,
routing_guide_notes,
custom_fields,
created_at,
updated_at
terminated
boolean

Include terminated retailers in the result set.

filter
string[]

Using the filtering syntax, you may filter the results using the following fields:

  • id
  • code
  • name
  • status
  • fulfillment_model
  • merchant_id
  • merchant_code
  • created_at
  • updated_at
sort
string

The default sort order is ascending by primary key (sort=id).

Using the sorting syntax, the following fields are available for sorting:

  • id
  • code
  • name
  • status
  • fulfillment_model
  • merchant_id
  • created_at
  • updated_at
count
integer

If specified as 1, the meta.count property of the response will be present and populated with the total count of items matching the query before any paging is applied. This is not included by default to improve performance in some edge cases and is not required to perform paging using the next property of the response. See paging parameters for more information.

Required range: 0 <= x <= 1
cursor_end
integer

A cursor for use in pagination which defines the last id of the next page of results, non-inclusive. See paging parameters for more information on paging.

cursor_start
integer

A cursor for use in pagination which defines the starting id of the next page of results. See paging parameters for more information on paging.

limit
integer
default:100

A limit on the number of objects to be returned.

Required range: 1 <= x <= 1000
Example:

100

Response

A dictionary with a collection property that contains an array of up to limit Retailer objects. If no retailers are found the array will be empty.

collection
Retailer · object[]

A list of Retailer objects.

included
object

Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.

has_more
boolean

True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.

next
string | null

The resource path for the next page of results if any are expected.

previous
string | null

The resource path for the previous page of results if any are expected.

meta
object

Additional metadata pertaining to the response.